summaryrefslogtreecommitdiffstats
path: root/testing/get-dart.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testing/get-dart.sh')
-rwxr-xr-xtesting/get-dart.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/testing/get-dart.sh b/testing/get-dart.sh
new file mode 100755
index 0000000..b655e1a
--- /dev/null
+++ b/testing/get-dart.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+VERSION=2.13.4
+
+if [ "$OSTYPE" = msys ]; then
+ URL="https://storage.googleapis.com/dart-archive/channels/stable/release/${VERSION}/sdk/dartsdk-windows-x64-release.zip"
+ echo "##vso[task.prependpath]$(cygpath -w /tmp/dart-sdk/bin)"
+else
+ URL="https://storage.googleapis.com/dart-archive/channels/stable/release/${VERSION}/sdk/dartsdk-linux-x64-release.zip"
+ echo '##vso[task.prependpath]/tmp/dart-sdk/bin'
+fi
+
+curl --silent --location --output /tmp/dart.zip "$URL"
+
+unzip -q -d /tmp /tmp/dart.zip
+rm /tmp/dart.zip